### Property

# Gtk Settings:gtk-font-rendering

since: 4.16

#### Declaration

    property gtk-font-rendering: Gtk.FontRendering [ read, write ]

#### Description [src]

How GTK font rendering is set up.

When set to `GTK_FONT_RENDERING_MANUAL`, GTK respects the low-level font-related settings (`GtkSettings:gtk-hint-font-metrics`, `GtkSettings:gtk-xft-antialias`, `GtkSettings:gtk-xft-hinting`, `GtkSettings:gtk-xft-hintstyle` and `GtkSettings:gtk-xft-rgba`) as much as practical.

When set to `GTK_FONT_RENDERING_AUTOMATIC`, GTK will consider factors such as screen resolution and scale in deciding how to render fonts.

Type:`GtkFontRendering`

Available since: 4.16

Default value | GTK_FONT_RENDERING_AUTOMATIC

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no